Bug 735860 - RV530 KMS fails on MacBookPro2,1 EFI
Summary: RV530 KMS fails on MacBookPro2,1 EFI
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:modesetting]
Keywords: Triaged
: 735859 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 18:39 UTC by Mads Kiilerich
Modified: 2018-04-11 07:54 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-02-13 14:57:18 UTC


Attachments (Terms of Use)
smolt and dmesg (81.92 KB, text/plain)
2011-09-05 18:39 UTC, Mads Kiilerich
no flags Details

Description Mads Kiilerich 2011-09-05 18:39:05 UTC
Created attachment 521531 [details]
smolt and dmesg

When booting kernel-PAE-3.0.1-3.fc16.i686 with EFI and KMS and no quiet and no rhgb I get the two cpu Tux'es and boot messages on the console.

After
  fb: conflicting fb hw usage radeondrmfb vs EFI VGA - removing generic driver
(and perhaps one extra line) nothing happens.

The system keeps running - but without any video.

It might be because of
  [drm:radeon_get_bios] *ERROR* Unable to locate a BIOS ROM

(See also Bug 735859 - rv515_fini / rv370_pcie_wreg - the code is fine but needs lockdep annotation)


(Nomodeset shows "something" but with heavy sync/sizing/memorylayout issues. I assume that there is no interest in a report of that.)

Comment 1 Matěj Cepl 2011-09-07 08:18:30 UTC
*** Bug 735859 has been marked as a duplicate of this bug. ***

Comment 2 kxra 2012-03-28 02:50:58 UTC
Trying to tie together all the macbook boot problems. 

64-bit grub2-efi packages do not take 32-bit EFI into consideration
Bug 746421

Make installation more Mac friendly
Bug 746434

Unable to boot Fedora 15 Live iso image from grub2 (iso-scan/filename kernel parameter)
Bug 723801

Comment 3 Chris Murphy 2012-03-28 04:41:32 UTC
EFI boot fails on Macs with NVIDIA GeForce 8600M GT graphics adapters (MacBook Pro 3,1 and 4,1)
Bug 751147

EFI boot failure to properly initialize graphics on Macs with Intel and AMD graphics (MacBookPro 8,2 and 8,3
Bug 765954

Review Request: mactel-boot - boot tools for Intel Apple hardware
Bug 755093

=====BIOS specific
BIOS compatibility boot produces corrupted graphics on Macs with NVIDIA GeForce 320M video adapters (Macbook Air 3,1,1 and 3,2)
Bug 650949

Comment 4 Fedora End Of Life 2013-01-16 14:00:25 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2013-02-13 14:57:21 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 redhat_bugzilla 2014-06-22 11:36:47 UTC
This bug is present on Fedora 20. Please re-open.


Note You need to log in before you can comment on or make changes to this bug.